services:
  slideshow.slidegroup_controller:
    class: Drupal\slideshow\Controller\SlideGroupController
    arguments:
      - '@config.factory'
      - '@entity_type.manager'
  slideshow.slideview_controller:
    class: Drupal\slideshow\Controller\SlideViewController
    arguments:
      - '@slideshow.slidegroup_controller'
      - '@url_generator'
  slideshow.slide_access:
    class: Drupal\slideshow\Controller\SlideAccessController
    arguments:
      - '@entity_type.manager'
